# FFI::memset

(PHP 7 >= 7.4.0, PHP 8)

FFI::memset — Fills a memory area

### Beschreibung

public static FFI::memset(FFI\CData `&$ptr`, int `$value`, int `$size`): void

Fills `size` bytes of the memory area pointed to by `ptr` with the given byte `value`.

### Parameter-Liste

`ptr`
  The start of the memory area to fill.
`value`
  The byte to fill with.
`size`
  The number of bytes to fill.

### Rückgabewerte

Es wird kein Wert zurückgegeben.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open